=== debian/changelog ===
flameshot (11.0.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

  [ Boyuan Yang ]
  * debian/patches/0003-Updated-weblate-translation.patch:
    Use updated translation from Weblate.

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Jan 2022 21:57:02 -0500

flameshot (11.0.0-1) unstable; urgency=medium

  * New upstream stable release.
    + Refactor config handler.
      (Closes: #1003239, Closes: #1003224) (LP: #1957010)
  * Package grim is now recommended for installation. (Closes: #985201)
  * Package xdg-desktop-portal-* is not recommended for installation.
    (Closes: #996983)

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Jan 2022 21:27:30 -0500

flameshot (11.0~rc1+ds1-2) unstable; urgency=medium

  * debian/control: Recommend installation of package grim for
    screenshot support on Sway-based compositor. (upstream issue 2109)

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Dec 2021 12:48:30 -0500

flameshot (11.0~rc1+ds1-1) unstable; urgency=medium

  * New upstream RC release.
  * debian/watch: Update monitoring patterns.
  * debian/control: Drop useless build-dependency libspdlog-dev.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Dec 2021 13:27:50 -0500

flameshot (0.10.2+ds1-4) unstable; urgency=medium

  * Rebuild the package.
  * debian/control: Tighten build dependency to libspdlog-dev (>= 1:1.9~)
    to assist libfmt8 transition. (Closes: #1002129)

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Dec 2021 13:19:19 -0500

flameshot (0.10.2+ds1-3) unstable; urgency=medium

  * debian/patches: Add patch to always use native wayland backend on KDE
    plasma.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Nov 2021 13:18:30 -0500

flameshot (0.10.2+ds1-2) unstable; urgency=medium

  * debian/control: Recommend xdg-desktop-portal-* installation.
    (LP: #1952555)
  * debian/patches/0003-Bump-version-to-10.2.patch: Force version string
    to be 0.10.2.

 -- Boyuan Yang <byang@debian.org>  Sun, 28 Nov 2021 13:29:56 -0500

flameshot (0.10.2+ds1-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/control: Suggest installation of xdg-desktop-portal packages
    for different desktop environment.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Nov 2021 15:57:58 -0500

flameshot (0.10.1+ds1-1) unstable; urgency=medium

  * New upstream stable release.
  * debian/patches: Refresh patches.
  * debian/control: Require spdlog 1.8.5+.

 -- Boyuan Yang <byang@debian.org>  Wed, 18 Aug 2021 15:44:59 -0400
