=== debian/watch ===
version=4
opts="dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flameshot-$1.tar.gz%,uversionmangle=s/.rc/~rc/" \
 https://github.com/flameshot-org/flameshot/tags \
 (?:.*?/)?v?(\d[\d.]*r?c?\d?)\.tar\.gz debian uupdate
