=== debian/changelog ===
flameshot (12.0.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 23 Jun 2022 15:49:48 -0700

flameshot (12.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Jun 2022 12:39:49 -0400

flameshot (12.0~rc1-2) unstable; urgency=medium

  * debian/patches: Add patch to undo broken svg optimization.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Jun 2022 10:28:31 -0400

flameshot (12.0~rc1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sat, 18 Jun 2022 10:12:01 -0400
