=== debian/control ===
Source: flameshot
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libqt5svg5-dev,
               libsingleapplication-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://flameshot.org
Vcs-Browser: https://salsa.debian.org/debian/flameshot
Vcs-Git: https://salsa.debian.org/debian/flameshot.git

Package: flameshot
Architecture: any
Depends: hicolor-icon-theme,
         libqt5svg5, 
         ${misc:Depends},
         ${shlibs:Depends},
         grim,
         xdg-desktop-portal-gtk | xdg-desktop-portal-gnome | xdg-desktop-portal-kde | xdg-desktop-portal-wlr
Suggests: ca-certificates, openssl
Description: Powerful yet simple-to-use screenshot software
 Flameshot is a powerful yet simple-to-use screenshot software.
 Notable features include customizable appearance, in-app screenshot editing,
 D-Bus interface, experimental GNOME/KDE Wayland support, integration with
 Imgur and support for both GUI and CLI interface.
