=== debian/rules ===
--- 
+++ 
@@ -22,3 +22,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	        -DFLAMESHOT_ABOUT_DEB_VERSION=$(DEB_VERSION)
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
