=== debian/changelog ===
flameshot (12.1.0-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.2.
  * debian/rules: Disable using absolute path for launcher and
    desktop file. (Closes: #1026888)

 -- Boyuan Yang <byang@debian.org>  Thu, 23 Feb 2023 16:36:04 -0500

flameshot (12.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 05 Jul 2022 15:27:48 -0400
