=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	        -DFLAMESHOT_ABOUT_DEB_VERSION=$(DEB_VERSION)
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	        -DFLAMESHOT_ABOUT_DEB_VERSION=$(DEB_VERSION) \
+		-DUSE_LAUNCHER_ABSOLUTE_PATH:BOOL=OFF \
+		$(NULL)
